package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AverageExpectedRate;
import com.lightinit.hsdatashow.entity.AverageExpectedRateExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.GroupNameAndValueModel;
import org.apache.ibatis.annotations.Param;

public interface AverageExpectedRateMapper {
    long countByExample(AverageExpectedRateExample example);

    int deleteByExample(AverageExpectedRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AverageExpectedRate record);

    int insertSelective(AverageExpectedRate record);

    List<AverageExpectedRate> selectByExample(AverageExpectedRateExample example);

    AverageExpectedRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AverageExpectedRate record, @Param("example") AverageExpectedRateExample example);

    int updateByExample(@Param("record") AverageExpectedRate record, @Param("example") AverageExpectedRateExample example);

    int updateByPrimaryKeySelective(AverageExpectedRate record);

    int updateByPrimaryKey(AverageExpectedRate record);

    List<AverageExpectedRate> getExpectedRate(int year);
}